<template lang="pug">
	-
		var lista_mba = [
			{
				titulo:"Maestría en Administración de Negocios - Executive MBA",
				fecha: "16 Mar",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Múltiples horarios"
			},{
				titulo:"Maestría Ciencias Empresariales",
				fecha: "11 May y 14 Set",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Jueves y Sábado"
			},{
				titulo:"MBA UQÀM",
				fecha: "24 Ago",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Múltiples horarios"
			}
		]

		var lista_especial = [
			{
				titulo:"Maestría en Educación: Gestión de la Educación",
				fecha: "16 Mar",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Múltiples horarios"
			},{
				titulo:"Maestría en Gestión de Negocios de Nutrición",
				fecha: "11 May y 14 Set",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Jueves y Sábado"
			},{
				titulo:"Maestría en Diseño Gráfico",
				fecha: "24 Ago",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Múltiples horarios"
			}
		]

	#maestrias
		.portada
			img(src="~/assets/img/portada-maestrias.jpg", alt="")

		.titular.seccion: .contenedor
			h1 Maestrias
			p #[Strong Emprendimiento, Investigación y Desarrollo, Sostenibilidad y Globalización] son los pilares en los que se basan los programas de la Escuela de Postgrado de la Universidad San Ignacio de Loyola.


		.contenido.seccion: .contenedor
			ul

				li
					img(src="~/assets/img/ico-2o.svg", alt="")
					strong Lorem ipsum dolor sit amet, consectetur adipiscing elit.
					span In dolor volutpat sed phasellus condimentum nisi. Duis leo arcu cras lacus dictum ut cursus.


				li
					img(src="~/assets/img/ico-estudiante-blanco.svg", alt="")
					strong Pulvinar ac nam sed id dictum.
					span Consectetur tincidunt pellentesque sem condimentum nisi, in ultrices fringilla. Suscipit sagittis commodo.

				li
					img(src="~/assets/img/ico-2o.svg", alt="")
					strong Cras pretium lobortis lectus scelerisque nibh nunc diam.
					span Sed proin tortor est adipiscing nibh. Quam a quis cursus lectus. Dolor nunc consequat orci elementum turpis.

				li
					img(src="~/assets/img/ico-estudiante-blanco.svg", alt="")
					strong Adipiscing ligula sapien mi morbi gravida sollicitudin.
					span In dolor volutpat sed phasellus in. Quam a quis cursus lectus.

		.busqueda.seccion: .contenedor
			form.barra
				.campo
					input(type="search", name="termino", placeholder="Buscar")
				.campo
					label especialidad
					select()
						option(val="0") todos
						option(val="1") alguno
						option(val="2") ninguno
				.campo
					label especialidad
					select()
						option(val="0") todos
						option(val="1") alguno
						option(val="2") ninguno

			.listado
				.categoria
					h2 MBA
					.lista
						each item in lista_mba
							.item
								.info
									.titulo= item.titulo
									.fecha= item.fecha
									.tiempo= item.tiempo
								.detalles
									.lugar= item.lugar
									.horario= item.horario
					h2 Maestrías Especializadas
					.lista
						each item in lista_especial
							.item
								.info
									.titulo= item.titulo
									.fecha= item.fecha
									.tiempo= item.tiempo
								.detalles
									.lugar= item.lugar
									.horario= item.horario






</template>

<style lang="stylus">

gris = #C6C6C6;
#maestrias
	background: #C7C7D3;

	.portada
		img
			width 100%

	.titular
		@media (min-width: 768px)
			background: #FFFFFF;
			position relative
			z-index 1
			margin -1rem 0 -2rem
			border-radius 1rem

		.contenedor
			@media (min-width: 768px)
				min-height 275px
				padding 2rem 0
				align-items center

		h1
			flex 0 0 auto
			margin-right 1em
			font-size: 72px;
			line-height: 125%;

			letter-spacing: -0.015em;

			color: #00195A;

		p
			color #4C4B5C
			font-weight: 300;
			font-size: 22px;

			strong
				font-weight: bold;
				color: #0B2E88;

	.contenido
		background: linear-gradient(270deg, rgba(28, 106, 230, 0.0875) -32.36%, rgba(28, 106, 230, 0.35) 131.25%), #0B2E88;
		border-radius: 1rem;
		color white

		.contenedor
			padding 4rem 0 2rem

		ul
			display grid
			grid-gap 1.5rem
			list-style none
			grid-template-columns: repeat( auto-fit, minmax(120px, 1fr) );


			li
				display: block

				img
					margin-bottom 1em

	.busqueda
		background: #C7C7D3;

		.contenedor
			padding 4rem 0
			display: block

		.barra
			display: grid
			max-width 966px
			flex 1 1 100%
			margin 1rem auto
			background: alpha(#C7C7D3, 40%);
			border-radius: 8px;
			padding 1rem 2rem
			grid-gap 1.5rem
			grid-template-columns 1fr minmax(100px, 250px) minmax(100px, 250px)
			align-items end

			label
				display: block
				font-size: 12px;
				line-height: 150%;

				letter-spacing: -0.015em;
				text-transform: uppercase;

				color: #4C4B5C;
				opacity: 0.6;
				margin-bottom .5em

			input
				display: block
				width 100%
				background: #FFFFFF;
				border-radius: 6px;
				font-size: 18px;
				line-height: 150%;

				&[type="search"]
					background-image url("~@/assets/img/ico-lupa-azul.svg")
					background-repeat no-repeat
					background-position 95% center

			select
				text-transform uppercase
				background: #FFFFFF;
				border-radius: 6px;
				width 100%

				border: 2px solid #0B2E88;
				box-sizing: border-box;
				border-radius: 6px;
				background-image url("~@/assets/img/chevron-sur-celeste.svg")
				background-repeat no-repeat
				background-position 95% center

				font-size: 18px;
				line-height: 150%;


				option
					text-transform uppercase

	.listado
		padding 1rem 2rem
		max-width 966px
		flex 1 1 100%
		margin 1rem auto

		h2
			text-transform uppercase
			font-family: Anton;
			font-style: normal;
			font-weight: normal;
			font-size: 34px;
			line-height: 135%;
			letter-spacing: -0.015em;
			color: #9F9FAE;
			opacity: 0.9;


		.lista
			margin-bottom 1rem

		.item
			margin-bottom .9rem
			padding .4rem
			background: #FFFFFF;
			border-radius: 6px;

			.info
				display grid
				grid-template-areas "titulo fecha" "titulo tiempo"
				grid-template-columns minmax(100px, 600px) auto
				justify-content space-between
				padding .6 rem
				border-bottom: 1px dashed #9F9FAE;
				grid-gap .5rem

			.titulo
				grid-area titulo

				font-weight: 800;
				font-size: 20px;
				line-height: 135%;
				letter-spacing: -0.015em;
				text-transform: uppercase;
				color: #0B2E88;



			.fecha
				grid-area fecha
				text-align right
				font-size: 20px;
				line-height: 135%;
				letter-spacing: -0.015em;

				color: #1CCDE6;


			.tiempo
				grid-area tiempo
				font-size: 14px;
				line-height: 150%;
				text-align: right;
				letter-spacing: -0.015em;
				color: #9F9FAE;


			.detalles
				display flex
				justify-content space-between
				padding .6rem

			.lugar
			.horario
				font-size: 13px;
				line-height: 150%;
				letter-spacing: -0.015em;
				color: #9F9FAE;



</style>
